ndft_fast.c File Reference

Testing ndft, Horner-like ndft, and fully precomputed ndft. More...

`#include "config.h"`
`#include <stdio.h>`
`#include <math.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include "nfft3.h"`
`#include "infft.h"`
Include dependency graph for ndft_fast.c:

Go to the source code of this file.

## Functions

static void | ndft_horner_trafo (NFFT(plan) *ths)
static void | ndft_pre_full_trafo (NFFT(plan) *ths, C *A)
static void | ndft_pre_full_init (NFFT(plan) *ths, C *A)
static void | ndft_time (int N, int M, unsigned test_ndft, unsigned test_pre_full)
int | main (int argc, char **argv)

## Detailed Description

Testing ndft, Horner-like ndft, and fully precomputed ndft.

Author
  Stefan Kunis

Definition in file ndft_fast.c.

## Function Documentation

## ndft_horner_trafo()

void ndft_horner_trafo | ( | NFFT(plan) * | ths | ) |

static

Definition at line 38 of file ndft_fast.c.

## ndft_pre_full_trafo()

void ndft_pre_full_trafo | ( | NFFT(plan) * | ths,
|  | C * | A )

static

Definition at line 59 of file ndft_fast.c.

## ndft_pre_full_init()

void ndft_pre_full_init | ( | NFFT(plan) * | ths,
|  | C * | A )

static

Definition at line 73 of file ndft_fast.c.

## ndft_time()

void ndft_time | ( | int | N,
|  | int | M,
|  | unsigned | test_ndft,
|  | unsigned | test_pre_full )

static

Definition at line 85 of file ndft_fast.c.

## main()

int main | ( | int | argc,
|  | char ** | argv )

Definition at line 191 of file ndft_fast.c.